import 'package:flutter/material.dart';
import 'package:widgets/ext/ex_widget.dart';
import '../../utils/dark_theme_util.dart';
import 'package:cs_resources/constants/color_constants.dart';

class PermissionDescDialog extends StatelessWidget {
  final String permissionDesc;

  const PermissionDescDialog(this.permissionDesc, {super.key});

  @override
  Widget build(BuildContext context) {
    return Align(
      alignment: Alignment.topCenter,
      child: Container(
        margin: const EdgeInsets.symmetric(vertical: 80),
        padding: const EdgeInsets.symmetric(horizontal: 24, vertical: 16),
        decoration: BoxDecoration(
          color: DarkThemeUtil.multiColors(const Color(0XB3000000),darkColor: ColorConstants.darkBlackItem) ,
          borderRadius: BorderRadius.circular(10),
        ),
        child: Text(
          permissionDesc,
          style: const TextStyle(color: Colors.white, fontSize: 15),
          textAlign: TextAlign.center,
        ),
      ).constrained(width: 280),
    );
  }
}
